;
; example program for the power_spectrogram procedure
;
filename='equatorialnoise_waveform_c1.asc'
nfft=512 ; number of points entering into a single fft
nave=5 ; number of averaged ftts
;
read_wf, filename, $
             data_source, start, sampling_frequency, waveform
power_spectrogram, sampling_frequency, waveform,  nfft, nave,$
                    time, frequency, spectrogram
erase,0
tvimage,alog10(spectrogram),[0.2,0.2,0.9,0.9]
plot,time,frequency,pos=[0.2,0.2,0.9,0.9],ystyle=1,xstyle=1,$
     xrange=[min(time),max(time)],yrange=[min(frequency),max(frequency)],$
     xtitle='time (s)',ytitle='frequency (Hz)',/nodata,/noerase

end









